clang-tools 6.0.0

Namespaces | Functions
HeaderFileExtensionsUtils.cpp File Reference
`#include "HeaderFileExtensionsUtils.h"`
`#include "clang/Basic/CharInfo.h"`
`#include "llvm/Support/Path.h"`
Include dependency graph for HeaderFileExtensionsUtils.cpp:

Go to the source code of this file.

## Namespaces
| clang
| clang::tidy
| clang::tidy::utils

## Functions
bool | clang::tidy::utils::isExpansionLocInHeaderFile (SourceLocation Loc, const SourceManager &SM, const HeaderFileExtensionsSet &HeaderFileExtensions)
| Checks whether expansion location of `Loc` is in header file. More...
bool | clang::tidy::utils::isPresumedLocInHeaderFile (SourceLocation Loc, SourceManager &SM, const HeaderFileExtensionsSet &HeaderFileExtensions)
| Checks whether presumed location of `Loc` is in header file. More...
bool | clang::tidy::utils::isSpellingLocInHeaderFile (SourceLocation Loc, SourceManager &SM, const HeaderFileExtensionsSet &HeaderFileExtensions)
| Checks whether spelling location of `Loc` is in header file. More...
bool | clang::tidy::utils::parseHeaderFileExtensions (StringRef AllHeaderFileExtensions, HeaderFileExtensionsSet &HeaderFileExtensions, char delimiter)
| Parses header file extensions from a semicolon-separated list. More...
bool | clang::tidy::utils::isHeaderFileExtension (StringRef FileName, const HeaderFileExtensionsSet &HeaderFileExtensions)
| Decides whether a file has a header file extension. More...